Loading...
Searching...
No Matches
bwOverlapIterator_t Struct Reference

A structure to hold iterations One of intervals and entries should be used to access records from bigWig or bigBed files, respectively. More...

`#include <bigWig.h>`

## Data Fields

bigWigFile_t * | bw
uint32_t | tid
uint32_t | start
uint32_t | end
uint64_t | offset
uint32_t | blocksPerIteration
int | withString
void * | blocks
bwOverlappingIntervals_t * | intervals
bbOverlappingEntries_t * | entries
void * | data

## Detailed Description

A structure to hold iterations One of intervals and entries should be used to access records from bigWig or bigBed files, respectively.

## Field Documentation

## blocks

void* bwOverlapIterator_t::blocks

Overlapping blocks.

## blocksPerIteration

uint32_t bwOverlapIterator_t::blocksPerIteration

Number of blocks to use per iteration.

## bw

bigWigFile_t* bwOverlapIterator_t::bw

Pointer to the bigWig/bigBed file.

## data

void* bwOverlapIterator_t::data

Points to either intervals or entries. If there are no further intervals/entries, then this is NULL. Use this to test for whether to continue iterating.

## end

uint32_t bwOverlapIterator_t::end

End position of the query interval.

## entries

bbOverlappingEntries_t* bwOverlapIterator_t::entries

Overlapping entries (or NULL).

## intervals

bwOverlappingIntervals_t* bwOverlapIterator_t::intervals

Overlapping intervals (or NULL).

## offset

uint64_t bwOverlapIterator_t::offset

Offset into the blocks.

## start

uint32_t bwOverlapIterator_t::start

Start position of the query interval.

## tid

uint32_t bwOverlapIterator_t::tid

The contig/chromosome ID.

## withString

int bwOverlapIterator_t::withString

For bigBed entries, whether to return the string with the entries.

The documentation for this struct was generated from the following file:

- bigWig.h